
Foreman - Feature #1223

Provisioning engine for EC2

10/12/2011 11:38 PM - Brian Gupta

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category:    

Target version: 1.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Looking like this is probably the library to use: https://github.com/grempe/amazon-ec2

Related issues:

Related to Foreman - Feature #1561: Add new provision template types for EC2 New 03/30/2012

Associated revisions

Revision dd42df0a - 05/29/2012 03:41 AM - Ohad Levy

adds ec2 provisioning support fixes #1223

- added progress bar for instance creation

- minor fixes for certname based deployments

- added ssh provisioning support to orchestartion, which utilize finish

scripts by default

- added images support (part of the vm compute tab)

- cleanup a lot of unused view attributes in favour of a couple html5

data attributes

- adds capabilities to each compute resource (e.g. build vs. image

provisioning)

- allow to access @host.compute_resource and @host.info in provisioning

templates

- added automatic ssh key pair generation when creating a new compute

resource (note, if you already created one, you would need to delete

it and create it again

- reverse dns now depends on the selected subnet - fixes #1558

- added readonly console support for ec2

Revision 15daa32c - 05/31/2012 08:07 AM - Ohad Levy

Add compute resource attributes to provisioning templates refs #1223

History

#1 - 10/13/2011 03:57 PM - Simon Josi

maybe also fog: http://fog.io/1.0.0/index.html

#2 - 10/13/2011 06:00 PM - Brian Gupta

Fog was discussed, but it would majorly increase the gem dependency footprint of Foreman.

#3 - 10/18/2011 03:38 PM - Corey Osman

Why not make it optional?  If you want fog features run this script to install the gems.

#4 - 10/18/2011 04:42 PM - Brian Gupta

Corey, could you be more specific? IE: What EC2 features is the Amazon-e2 gem missing? If the question is bringing in Fog to support multiple

clouds that should probably be a separate discussion altogether.

The Amazon-EC2 gem is the cleanest way to get EC2 support, and is licensed under the Ruby license which is 100% compatible with GPLv2. (Fog is

Apache 2.0, but I don't think that should stop us from using it since we don't distribute the libraries with the code.)
#5 - 05/07/2012 09:14 AM - Ohad Levy

- Target version set to 1.0

#6 - 05/13/2012 02:31 PM - Ohad Levy

- Assignee changed from Eric Moore to Ohad Levy

test branch now feedback welcomed - https://github.com/ohadlevy/foreman/tree/ec2_provisioning

#7 - 05/29/2012 04:35 AM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset dd42df0a3b5d8645ad6db731ec813e64b85a4120.
